#! /bin/sh
#                               -*- Mode: Sh -*- 
# preinst --- 
# Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
# Created On       : Fri Nov 14 12:12:04 2003
# Created On Node  : glaurung.green-gryphon.com
# Last Modified By : Manoj Srivastava
# Last Modified On : Tue Nov 18 22:35:57 2003
# Last Machine Used: glaurung.green-gryphon.com
# Update Count     : 4
# Status           : Unknown, Use with caution!
# HISTORY          : 
# Description      : 
# 
# arch-tag: d6a3672d-acb3-4f6c-9984-bad17d8ce0aa
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# 


# Abort if any command returns an error value
set -e

package_name=ucf

if [ -z "$package_name" ]; then
    print >&2 "Internal Error. Please report a bug."
    exit 1;
fi


statedir='/var/lib/ucf';

# This script is called before this version of this package is installed.
# When this script is called, the package's files have not been unpacked
# yet.

case "$1" in
  install)
    # About to install this package.
    :

    # Add a diversion.  This is one of the few things which may be done
    # before installing any files from the package.
    # dpkg-divert --package foo --add --rename \
    #             --divert /usr/bin/other.real /usr/bin/other

      echo >&2 "Moving old data out of the way"
      for i in $(/usr/bin/seq 6 -1 0); do
	  if [ -e "${statedir}/hashfile.${i}" ]; then
	      cp -f "${statedir}/hashfile.${i}" \
		  "${statedir}/hashfile.$(($i+1))"
	  fi 
      done
      if [ -e "$statedir/hashfile" ]; then
	  cp -f "$statedir/hashfile"  "$statedir/hashfile.0" 
      fi

    # There are two sub-cases:
    if test "${2+set}" = set; then
      # The configuration files from version $2 of this package are
      # still on the system.
      :

    else
      # There is no existing configuration; install from scratch.
      :

    fi ;;
  upgrade)
    # About to upgrade this package from version $2 TO THIS VERSION.
    # "prerm upgrade" has already been called for the old version of
    # this package.
    :

    ;;
  abort-upgrade)
    # Back out of an attempt to upgrade this package FROM THIS VERSION to
    # version $2.  Undo the effects of "postrm upgrade $2".
    :

    ;;
  *) echo "$0: didn't understand being called with \`$1'" 1>&2
     exit 0;;
esac

exit 0
